Package org.gradle.platform.base

## Interface DependencySpecBuilder

- All Known Subinterfaces:
    `ModuleDependencySpecBuilder`, `ProjectDependencySpecBuilder`

      @Incubating
      public interface DependencySpecBuilder

  A builder of a `DependencySpec`. Implementations are required to return immutable dependency specs.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `DependencySpec` | `build()` | Builds a concrete immutable `DependencySpec` instance.

- - ### Method Detail

    - #### build

          DependencySpec build()

      Builds a concrete immutable `DependencySpec` instance.
      Returns:
        an immutable dependency specification